<?php
include "../comunes_php/Log.class.php"; 
$log = new Log("app_trace", "./");
$parametros = print_r($_REQUEST,TRUE); 
$log->insert($parametros, false, false, false);
    
    
    $proveedor_id = intval($_REQUEST['proveedor_id']);
    include '../rdb/conn.php';
    include '../comunes_php/cors.php';

    $sql= " select count(*) from cuenta_corriente_proveedores where proveedor_id = $proveedor_id";
    
    $rs = mysqli_query( $conn,$sql);
    $row = mysqli_fetch_row($rs);
    $result["total"] = $row[0];
    

    $result = array();
    
    $sql="select id, proveedor_id,
        tipo_movimiento_id,
        (select nombre from tipo_movimiento_cta_cte_proveedor where id=m.tipo_movimiento_id) tipo_movimiento,
        comprobante,
        fecha_movimiento,
        fecha_efectivo,
        importe,
        usuario_id
    from cuenta_corriente_proveedores m 
     where 
    proveedor_id=$proveedor_id";
    
    $sql .= " order by fecha_efectivo asc";
    
    $rs = mysqli_query( $conn,$sql);

    
    
     $items = array();
    while($row = mysqli_fetch_object($rs)){
        array_push($items, $row);
    }
    $result["rows"] = $items;
    $result["sql"] = $sql;

    $log->insert($sql, false, false, false);

    
    echo json_encode($result);
  
    
?>